package org.dcg.gen;

/**
 * @author dacosta
 *
 * This class holds the statistics of the PoolMgr from which it was returned
 */
public class ThreadPoolMgrStats {
   public int maxThreads;
   public int maxWriteThreads;
   public int minThreads;
   public int minWriteThreads;

   public int numThreads;
   public int numWriteThreads;

   public int pendingJobs;
   public int pendingWriteJobs;

   public int jobsInProgress;
   public int writeJobsInProgress;
   
   public int maxIdleTime;
   public String databaseConnector;

   public String toString() {
      java.lang.StringBuffer sb = new java.lang.StringBuffer();
      String strMax = (maxThreads==-1) ? "No limit" : new Integer(maxThreads).toString();
      String strWMax = (maxWriteThreads==-1) ? "No limit" : new Integer(maxWriteThreads).toString();
      String strMin = (minThreads==-1) ? "No limit" : new Integer(minThreads).toString();
      String strWMin = (minWriteThreads==-1) ? "No limit" : new Integer(minWriteThreads).toString();

      sb.append("maxThreads = " + strMax + "\n");
      sb.append("maxWriteThreads = " + strWMax + "\n");
      sb.append("minThreads = " + strMin + "\n");
      sb.append("minWriteThreads = " + strWMin + "\n");
      
      sb.append("numThreads = " + numThreads + "\n");
      sb.append("numWriteThreads = " + numWriteThreads + "\n");

      sb.append("pendingJobs = " + pendingJobs + "\n");
      sb.append("pendingWriteJobs = " + pendingWriteJobs + "\n");

      sb.append("jobsInProgress = " + jobsInProgress + "\n");
      sb.append("WriteJobsInProgress = " + writeJobsInProgress + "\n");

      sb.append("DatabaseConnector = " + databaseConnector + "\n");
      sb.append("maxIdleTime = " + maxIdleTime + "\n");

      return(sb.toString());
   }
}




