package org.dcg.gen;

/**
 * @author dacosta
 *
 * This Class has to be used for any NON-DATABASE RELATED task to be executed by a PoolMgr.<br>
 * The basic functionality takes place in the run() method (which is also the ONLY public method available.<br>
 * Any other additional method HAS to be private for they are only allowed to HELP the main task.<br>
 * 
 * Data going in is set via the constructor.<br>
 * Data going out goes through a non-final object entering via the run(xyz).<br>
 */
public abstract class GeneralJob implements Runnable {

	public abstract void run(/* Object result */);

}
